#
# spec file for package gtkgreet
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gtkgreet
Version:        0.8
Release:        1.5
Summary:        GTK based greeter for greetd
License:        GPL-3.0-only
URL:            https://git.sr.ht/~kennylevinsen/gtkgreet
Source:         %{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gtk-layer-shell-devel
BuildRequires:  libjson-c-devel
BuildRequires:  meson
BuildRequires:  ninja
BuildRequires:  pkgconfig
BuildRequires:  scdoc
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(wayland-client)
Recommends:     greetd

%description
GTK based greeter for greetd, to be run under cage or similar.

%lang_package

%prep
%setup -q

%build
export CFLAGS="-Wno-sign-compare"
%meson
%meson_build

%install
%meson_install

%find_lang %{name} %{?no_lang_C}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man?/%{name}*

%files lang -f %{name}.lang

%changelog
* Wed Jan 17 2024 Denys Kondratenko <stdden@opensuse.org>
- gtkgreet 0.8
  * This release makes some changes to customization and adds French,
    Russian and Spanish translations.
  * Update reference to deprecated constant
  * Added support for i18n and spanish translation
  * proto: Fix signed-ness error
  * meson: Update version properly
  * man: Elaborate on stylesheets a bit
  * readme: Add discuss section
  * Added french translation strings
  * Made the greeter more customizable
  * proto: use uint32_t offsets and message lengths
  * feat: russian translation added, unnecessary translation removed
  * fix: get translations to work
- remove gtkgreet-glib-2.74.patch as it is fixed upsteam
* Wed Oct 26 2022 Dominique Leuenberger <dimstar@opensuse.org>
- Add gtkgreet-glib-2.74.patch: Fix build against glib 2.74.0.
* Sat Feb 20 2021 Denys Kondratenko <stdden@opensuse.org>
- Update to 0.7 This release includes the ability to style gtkgreet with
  stylesheets and background images, automatic gtk-layer-shell detection,
  and a few other improvements.
  * Fix --command argument for builds without layer-shell
  * Use layer-shell anchors to fill the screen
  * Add support for user CSS styles.
  * man changes for --style option
  * Convert -Dlayershell to 'feature'
  * Remove action_quit
  * Add support for background images
  * man: Document the background image flag
  * Remove gtk-application-prefer-dark-theme
  * ci: Disable automatic github mirroring
- workaround i586 build failure with CFLAGS for now (reported to author)
* Mon Sep  7 2020 Denis Kondratenko <denis.kondratenko@suse.com>
- Initial package gtkgreet version 0.6
